import {http2} from "@/utils/request.js";
/**获取管理员组列表 */
export const getAdminGroupList = (params) => {
  return http2.get('/api/v1/admin/admin_group/list', {params: params})
}
/**获取管理员组成员列表 */
export const getAdminGroupMemberList = (params) => {
  return http2.get('/api/v1/admin/admin_group/member_list', {params:params})
}
/**获取管理员组详情 */
export const getAdminGroupDetail = (params) => {
  return http2.get('/api/v1/admin/admin_group/detail', {params: params})
}
/**新增管理员组 */
export const addAdminGroup = (data) => {
    return http2.post('/api/v1/admin/admin_group/create', data)
}
/**更新管理员组信息 */
export const updateAdminGroupInfo = (data) => {
    return http2.post('/api/v1/admin/admin_group/update', data)
}
/**删除管理员组 */
export const deleteAdminGroup = (data) => {
    return http2.delete('/api/v1/admin/admin_group/delete?group_id=' + data.group_id)
}
